Your OS+browser combo only supports outdated crytography (TLS 1.0). Please upgrade before March 15, 2018, or you'll be unable to view Fark.

Real News. Real Funny.

Comments

 
If you can see this, something's wrong with your browser's CSS support.